ERROR: column c.relhasoids does not exist

背景:

链接 PostgreSQL显示如下错误:

 

解释:

你当前的数据库版本(PostgreSQL)和你链接工具(Navicat 或者 IDEA)版本不一致造成的,往往来说,是链接工具版本过低,或者是数据库版本过高造成的。

 

解决:

首先查看数据库的版本是多少?

解决办法A:降低PostgrelSQL版本,如你之前的是12版本,可以换成11版本;

解决办法B:提高链接工具版本,Navicat的话就重新下个支持当前数据库版本的,如果是IDEA就升级位最新数据库链接版本。

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: Age of Ai 设计师:meimeiellie 返回首页